<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('processed_overtimes', function (Blueprint $table) {
            $table->boolean('meal')->default(false)->after('time_out');
            $table->boolean('transportation')->default(false)->after('meal');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('processed_overtimes', function (Blueprint $table) {
            $table->dropColumn('meal');
            $table->dropColumn('transportation');
        });
    }
};
